﻿@using SiteGuide.DAL.Models
@using SiteGuide.Service
@using SiteGuide.Service.Identifiers
@model EditsListViewModel
@foreach (var edit in Model.Edits)
{
    <div class="card mb-4">
        <div class="card-header">
            @if (Model.CustomButtons?.Any() == true)
            {
                foreach (var customButton in Model.CustomButtons)
                {
                    <a class="btn btn-primary float-right" href="@customButton.Href(edit)" role="button">@customButton.Text</a>
                    @*TODO: https://stackoverflow.com/questions/29992848/parse-and-modify-a-query-string-in-net-core*@
                }
            }
            else
            {
                <a class="btn btn-primary float-right" href="@($"/Edit/{edit.Id}")" role="button">View</a>
            }
            <h4>Edit @(edit.Id)</h4>
            <partial name="_EditStatus" for="@edit.LatestEditVersion" />
        </div>
        @foreach (var editVersion in edit.EditVersions)
        {
            <div class="card-body">
                @await Html.PartialAsync("_EditVersionHeader", editVersion)
                <ChangeDetails data-node="@editVersion.EditIdAndVersionNumber"
                               data-compare-to-version="@edit.CompareToVersionId" />
            </div>
        }
    </div>
}